For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/maintenance/table

get

Get details on a table

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
tablestringRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/maintenance/table
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'table' => 'transaction_summary'
	);

$request = array(
	'method' => 'GET',
	'path' => 'maintenance/table',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "table": {
    "Name": "transaction_summary",
    "Engine": "InnoDB",
    "Version": "10",
    "Row_format": "Compact",
    "Rows": "0",
    "Avg_row_length": "0",
    "Data_length": "16384",
    "Max_data_length": "0",
    "Index_length": "163840",
    "Data_free": "0",
    "Auto_increment": "1",
    "Create_time": "2019-08-09 16:28:51",
    "Update_time": null,
    "Check_time": null,
    "Collation": "latin1_swedish_ci",
    "Checksum": null,
    "Create_options": "",
    "Comment": "",
    "large": 1,
    "type": "report",
    "report_type": "summary",
    "partitioned": 0,
    "Data_length_nice": "16 Kb",
    "Max_data_length_nice": "0 bytes",
    "Index_length_nice": "160 Kb",
    "clean": 0,
    "currently_cleaning": 0,
    "crashed": 0,
    "report_details": {
      "name": "Transaction Summary",
      "type": "summary",
      "table": "transaction_summary",
      "rows": "0",
      "processing": 0,
      "max_date": 0,
      "max_date_nice": "None",
      "min_date": 0,
      "min_date_nice": "None",
      "currently_processing": 0
    },
    "summary_details": {
      "name": "Transaction Summary",
      "type": "summary",
      "rows": "0",
      "max_date": null,
      "min_date": null,
      "max_data_nice": "None",
      "min_date_nice": "None",
      "first_trans_date": null,
      "last_trans_date": null,
      "has_trans_data": 0,
      "first_trans_date_nice": "None",
      "last_trans_date_nice": "None",
      "currently_processing": 0
    }
  }
}
patch

Cleanup table

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
tablestringRequired
beforestringRequired
max_rowsintegerOptionalDefault: 0
backupstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
patch/api/maintenance/table
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'table' => 'trigger_tour_program_log',
		'before' => '2019-06-10'
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'maintenance/table',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "table cleanup started"
}

Last updated

Was this helpful?